Uploaded image for project: 'OpenAM'
  1. OpenAM
  2. OPENAM-3489

NPE if the current version cannot be determined

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 10.0.2, 11.0.0
    • Fix Version/s: 10.0.3, 11.0.1, 12.0.0
    • Component/s: other
    • Labels:
      None

      Description

      Steps to reproduce:

      • Install OpenAM with external configstore
      • shut down AM and DJ
      • start up AM

      The following error can be seen in the server logs:

      java.lang.NullPointerException
              at java.util.regex.Matcher.getTextLength(Matcher.java:1234)
              at java.util.regex.Matcher.reset(Matcher.java:308)
              at java.util.regex.Matcher.<init>(Matcher.java:228)
              at java.util.regex.Pattern.matcher(Pattern.java:1088)
              at org.forgerock.openam.upgrade.UpgradeUtils.parseVersion(UpgradeUtils.java:334)
              at org.forgerock.openam.upgrade.UpgradeUtils.isVersionNewer(UpgradeUtils.java:280)
              at org.forgerock.openam.upgrade.UpgradeUtils.isVersionNewer(UpgradeUtils.java:276)
              at com.sun.identity.setup.AMSetupFilter.doFilter(AMSetupFilter.java:101)
      

      There are other situations when this could occur, like when for some reason upgrading the embedded OpenDJ failed.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                peter.major Peter Major
                Reporter:
                peter.major Peter Major
                QA Assignee:
                Mark Powell
              • Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: